Skip to content

Rate ​

Allowed query parameters ​

Filters ​

FilterTypeDescription
searchStringFull-text search

Sorting ​

name

Includes ​

tag,

Create a rate ​

post
/rate
Attribute (* required)TypeDescription
name *StringRate title
price *FloatHourly price

Example response ​

json
// HTTP 201 Created
{
    // a rate object
}

Update a rate ​

put
/rate/{id}
Attribute (* required)TypeDescription
nameStringRate title
priceFloatHourly price

Example response ​

json
// HTTP 200 OK
{
    // a rate object
}

Retrieve a rate ​

get
/rate/{id}

Example response ​

json
// HTTP 200 OK
{
	"id": "8y3AdBxwPL",
	"name": "Web Development",
	"price": 120
}

Delete a rate ​

delete
/rate/{id}

Example response ​

json
// HTTP 204 No Content

Delete many rates ​

post
/rate/delete-many

Deletes multiple rates at once. The request body is a JSON array of rate ids. Returns 200 OK with deleted and skipped arrays — see Bulk delete.

List rates ​

get
/rate

The list endpoint accepts the same parameters as in Retrieve a rate and returns a paginated array of the same rate object in the data property.

Read more about Pagination, Filtering, Sorting and Includes on the Introduction page.